const chalk = require('chalk');
const output = require('./utils/output');

const program = {
  name: 'create-agileplay-app',
};

exports.missingProjectName = function () {
  return `
  Please specify the project directory:
    ${chalk.cyan(program.name)} ${chalk.green('<project-directory>')}
  For example:
    ${chalk.cyan(program.name)} ${chalk.green('my-agileplay-app')}
  Run ${chalk.cyan(`${program.name} --help`)} to see all options.
`;
};

exports.alreadyExists = function (projectName) {
  return `
Uh oh! Looks like there's already a directory called ${chalk.red(projectName)}. Please try a different name or delete that folder.
`;
};

exports.copying = function (projectName) {
  return `
Creating ${chalk.bold(chalk.green(projectName))}...
`;
};

exports.installing = function (packages) {
  const pkgText = packages
    .map(pkg => `${chalk.cyan(chalk.bold(pkg))}`)
    .join('\n');

  return `
  Installing npm modules:
${pkgText}
`;
};

exports.installError = function (packages) {
  const pkgText = packages
    .map(pkg => `${chalk.cyan(chalk.bold(pkg))}`)
    .join(', ');

  output.error(`Failed to install ${pkgText}, try again.`);
};
