const fs = require('fs-extra');
const path = require('path');
const messages = require('../messages');
const output = require('./output');

module.exports = function copyDir({ templatePath, projectPath, projectName }) {
  console.log(messages.copying(projectName));

  return new Promise((resolve, reject) => {
    const stopCopySpinner = output.wait('Copying files');

    fs.copy(templatePath, projectPath)
      .then(() => {
        stopCopySpinner();
        output.success(`Created files for "${output.cmd(projectName)}" agileplay app`);
        return this;
      })
      .then(resolve)
      .catch((err) => {
        console.error(err);
        stopCopySpinner();
        output.error('Copy command failed, try again.');
        reject(err);
        process.exit(1);
      });
  });
};
