const ora = require('ora');
const chalk = require('chalk');
const { eraseLine } = require('ansi-escapes');

exports.wait = function (msg) {
  const spinner = ora(chalk.green(msg));
  spinner.collor = 'blue';
  spinner.start();

  return function () {
    spinner.stop();
    process.stdout.write(eraseLine);
  };
};

exports.success = function (msg) {
  console.log(`${chalk.green('> Success!')} ${msg}`);
};

exports.error = function (msg) {
  let outputMsg = msg;

  if (msg instanceof Error) {
    outputMsg = msg.message;
  }

  console.error(`${chalk.red('> Error!')} ${outputMsg}`);
};

exports.cmd = function (cmd) {
  return chalk.bold(chalk.cyan(cmd));
}
